Skip to main content

User - Activate

NOT Part of Day 1 Release

This API will not be initially available. Instead, activating a user will happen as follows:

  1. Create a User (User POST) - this user is created "behind the scenes" (ie; it does not yet have a password or receive any system emails)
  2. When you are ready to invite the User to Activate their account (ie; securely create a password and login) then please share with that person the Incentify activation URL. The person can visit that URL, enter their email address and follow the secure activation flow to set a password and login.

Purpose​

Users created via the User Create/Update endpoint do NOT have a password and have NOT been notified via email. Therefore these Users are essentially placeholders until they "activate". This endpoint is used to initiate that User "activation" process by sending an activation link to the email address associated with that User. This activation link provides a simple, secure workflow for the person to confirm the person's email address in order to receive a short-lived URL to set a password and login.

info

This endpoint can be triggered multiple times. A common use case is a user missed the email and at some point later asks you to resend the activation link to their inbox.

If the User has already activated (ie; set a password and logged in) and a subsequent call to activate is made then the User will recieve a different email template which reminds the User of the existing account and provides a link to log in.

Please see the User Deactivate endpoint to deactivate a User.

Request​

Endpoint

POST /user/activate

Authentication

Include your API Key within the x-api-key header as described here.

Request Body Parameters

info

The internal_user_id in the request is expected to match an existing user in the Incentify system, which belongs to the Account matching the one supplied with internal_account_id.

The following table lists the parameters supported in the JSON POST payload.

Required Request Parameters
  • * are required
  • Marked with NO asterisk are optional parameters. If you do not include them in an update request then the current value will be preserved.
ParameterTypeDefinition
internal_user_id *stringThe unique ID of the User from your internal system.
internal_account_id *stringThe unique ID of the Account from your internal system.

Request Body Example

{
"internal_user_id": "p23223",
"internal_account_id": "XXXXX3"
}

Successful Response​

If successful, this method returns an http code of 202 and response body with the following structure:

Response Body

{
"code":202,
"success":true,
"data": {
User Resource here (See "User - Overview" page)
},
"errors": []
}

Error Response​

If the request has invalid fields/values, this method returns an http code of 400 and response body with the following structure:

Error Response Body

{
"code":400,
"success":false,
"data": {},
"errors": [
"text describing error here"
]
}

Properties

The following table defines the properties that appear in this resource:

KeyTypeDefinition
codeintegerHTTP Status Code (ie; 200, 403, etc).
successbooleanEither true (success) or false (fail).
dataobjectUser activated is returned. The data structure of the User is a User Resource.
errorsobjectIf the request fails, this will contain information about the error.